// Zadatak03.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include <iostream>
using namespace std;
int BrojParnih(int* poljeBrojeva, int velicinaPolja)
{
    int brojParnih = 0;
    for (int i = 0; i < velicinaPolja; i++)
    {
        if (poljeBrojeva[i] % 2 == 0)
            brojParnih++;
    }
    return brojParnih;
}
int BrojNeparnih(int* poljeBrojeva, int velicinaPolja)
{
    int brojNeparnih = 0;
    for (int i = 0; i < velicinaPolja; i++)
    {
        if (poljeBrojeva[i] % 2 != 0)
            brojNeparnih++;
    }
    return brojNeparnih;
}

bool JeProst(int broj)
{
    for (int i = 2; i <= broj / 2; i++)
    {
        if (broj % i == 0)
            return false;
    }
    if (broj == 1) return false;
    return true;
}

int BrojProstihBrojeva(int* poljeBrojeva, int velicinaPolja)
{
    int brojProstih = 0;
    for (int i = 0; i < velicinaPolja; i++)
    {
        if (JeProst(poljeBrojeva[i]))
            brojProstih++;
    }
    return brojProstih;
}
int main()
{
    int poljeBrojeva[10] = { 1,2,3,4,5,6,7,8,9,10 };
    cout << "Broj parnih brojeva: " << BrojParnih(poljeBrojeva, 10) << endl;
    cout << "Broj neparnih brojeva: " << BrojNeparnih(poljeBrojeva, 10) << endl;
    cout << "Broj prostih brojeva: " << BrojProstihBrojeva(poljeBrojeva, 10);

}

// Run program: Ctrl + F5 or Debug > Start Without Debugging menu
// Debug program: F5 or Debug > Start Debugging menu

// Tips for Getting Started: 
//   1. Use the Solution Explorer window to add/manage files
//   2. Use the Team Explorer window to connect to source control
//   3. Use the Output window to see build output and other messages
//   4. Use the Error List window to view errors
//   5. Go to Project > Add New Item to create new code files, or Project > Add Existing Item to add existing code files to the project
//   6. In the future, to open this project again, go to File > Open > Project and select the .sln file
